Workspace
1 endpoint: retrieve the workspace.
- Retrieve the Workspace:
GET /v1/workspace
Retrieve the Workspace
GET /v1/workspace
Returns the Workspace this key belongs to and its developer platform limits.
Permission: workspace:read
Response
| Field | Type | Required | Description |
|---|---|---|---|
object | "workspace" | Yes | |
id | string | Yes | (up to 128 characters) |
name | string | Yes | |
type | business, personal | Yes | |
limits | object | Yes | |
limits.requests_per_minute | integer | Yes | (-9007199254740991 to 9007199254740991) |
limits.active_keys | integer or null | Yes | |
limits.webhook_endpoints | integer or null | Yes | |
limits.sandboxes | integer or null | Yes |
curl https://api.nowscale.com/v1/workspace \
-H "Authorization: Bearer $NOWSCALE_API_KEY"